Skip to Content
0

Unable to login to CMC after BO 4.2 SP03 Upgrade

Nov 10, 2017 at 04:55 PM

136

avatar image
Former Member

Upgrading from BI 4.1 SP04 to BI 4.2 SP03

OS: Window 2012 R2

CMS database Oracle 11.2.0.3

Did install C++ 2015 libraries (32bit and 64bit) and JAVA 1.8 prior to upgrade.

Upgrade windows does say "BI 4.2 SP03 successfully installed with warning. Below is main message on log file. bi-upgrade-successfully-installed.jpg

***Warning error message from BO 4.2 1SP03 Update install below**

Errors/Warnings found during the installation are as follows

00:26:42.996 2017/10/21, 12:26:42: ntservice Error: Service is in pending state, unable to control service, exiting...
01:10:05.089 [InstallEntDfoWrapper.UploadDFO] UploadDFO Failed [E:\Program Files (x86)\SAP BusinessObjects\setup\packagestemp\BusinessObjects_DataDiscoveryAlbum_pin.xml]
[InstallEntDfoWrapper.UploadDFO] UploadDFO Failed [E:\Program Files (x86)\SAP BusinessObjects\setup\packagestemp\BusinessObjects_VMS_SubVersion_dfo.xml]
ERROR: Deploy Files completed with errors.
*#*_*|ERROR: Deploy Files completed with errors.|ERROR: Deploy Files completed with errors.*_*#*
01:13:07.361 ERROR: Cannot commit ServerIntelligence_ServiceContainer_PolestarExplorationServiceContainer_To_Install_dfo_frag.xml. The DFO data is older than the DFO in the repository. The following properties are causing the problem: SI_RELATIONSHIPS.SI_ADM_SET_CONTAINER_INSTALL.1.SI_EXEC.SI_ARGS.
01:13:08.578 ERROR: Cannot commit ServerIntelligence_ServiceContainer_PolestarSearchServiceContainer_To_Install_dfo_frag.xml. The DFO data is older than the DFO in the repository. The following properties are causing the problem: SI_RELATIONSHIPS.SI_ADM_SET_CONTAINER_INSTALL.1.SI_EXEC.SI_ARGS.
01:13:09.857 ERROR: Cannot commit ServerIntelligence_ServiceContainer_PolestarMasterServiceContainer_To_Install_dfo_frag.xml. The DFO data is older than the DFO in the repository. The following properties are causing the problem: SI_RELATIONSHIPS.SI_ADM_SET_CONTAINER_INSTALL.1.SI_EXEC.SI_ARGS.
01:13:10.231 ERROR: Cannot commit ServerIntelligence_ServiceContainer_PolestarIndexingServiceContainer_To_Install_dfo_frag.xml. The DFO data is older than the DFO in the repository. The following properties are causing the problem: SI_RELATIONSHIPS.SI_ADM_SET_CONTAINER_INSTALL.1.SI_EXEC.SI_ARGS.
ERROR: Cannot commit ServerIntelligence_ServiceContainer_PolestarExplorationServiceContainer_To_Install_dfo_frag.xml. The DFO data is older than the DFO in the repository. The following properties are causing the problem: SI_RELATIONSHIPS.SI_ADM_SET_CONTAINER_INSTALL.1.SI_EXEC.SI_ARGS.
ERROR: Cannot commit ServerIntelligence_ServiceContainer_PolestarSearchServiceContainer_To_Install_dfo_frag.xml. The DFO data is older than the DFO in the repository. The following properties are causing the problem: SI_RELATIONSHIPS.SI_ADM_SET_CONTAINER_INSTALL.1.SI_EXEC.SI_ARGS.
ERROR: Cannot commit ServerIntelligence_ServiceContainer_PolestarMasterServiceContainer_To_Install_dfo_frag.xml. The DFO data is older than the DFO in the repository. The following properties are causing the problem: SI_RELATIONSHIPS.SI_ADM_SET_CONTAINER_INSTALL.1.SI_EXEC.SI_ARGS.
ERROR: Cannot commit ServerIntelligence_ServiceContainer_PolestarIndexingServiceC

Refer SCN link and SAP Notes for DFO related Errors 
Contact system administrator for other errors 

After upgrade, I see SIA and Tomcat was running. However, I am unable to login to BI launch pad or CMC. I get an error message "CMC could not reach, check server and port is correct." (attached screenshot error-when-loggin-to-cmc-after-bo-42-sp03-upgrade.jpg)

Steps taken to troubleshoot issue:

- First I checked CMC.exe which running fine. Then as part of troubleshoot, we created new node, and confirmed that it's communicating with CMS database. But, then tried to login with new SIA (node), we still got same error. Seems like install was corrupt.

After added a node, and was unable to login to CMC, I looked at addnode log file. The main message in log file is" The following errors occurred during the operation: ERROR: Cannot commit ServerIntelligence_ServiceContainer_PolestarExplorationServiceContainer_To_Install_dfo_frag.xml. The DFO data is older than the DFO in the repository. The following properties are causing the problem: SI_RELATIONSHIPS.SI_ADM_SET_CONTAINER_INSTALL.1.SI_EXEC.SI_ARGS."

- Next, tried to repair the install. But after repair process, SIA and Tomcat didn't start. Tired to forcefully restart SIA and Tomcat, but no luck.

Before, we start this upgrade, it would be helpful to know why the upgrade failed. Did any one has similar experience or can help on this issue?

Thanks,

Binita

10 |10000 characters needed characters left characters exceeded
* Please Login or Register to Answer, Follow or Comment.

1 Answer

Denis Konovalov
Dec 06, 2017 at 06:08 PM
0

The errors like "The DFO data is older than the DFO in the repository" usually mean that the CMS DB was already upgraded once and then higher level patch was removed and then you're installing patch which is lower than what's already in repository for those DFO's.

Share
10 |10000 characters needed characters left characters exceeded